Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface OpenJPAQuery<X>

All Superinterfaces:
  Query, TypedQuery<X>

All Known Subinterfaces:
  OpenJPAQuerySPI<X>

All Known Implementing Classes:
  AbstractQuery, QueryImpl

    public interface OpenJPAQuery<X>

extends TypedQuery<X>

Interface implemented by OpenJPA queries.

Since:
  0.4.0
Author:
  Abe White

Field Summary
`static int` | `FLUSH_FALSE` Deprecated. use the `FlushModeType` enum instead.
`static int` | `FLUSH_TRUE` Deprecated. use the `FlushModeType` enum instead.
`static int` | `FLUSH_WITH_CONNECTION` Deprecated. use the `FlushModeType` enum instead.
`static String` | `HINT_RESULT_COUNT` Hint key for specifying the number of rows to optimize for.
`static int` | `OP_DELETE` Deprecated. use the `QueryOperationType` instead.
`static int` | `OP_SELECT` Deprecated. use the `QueryOperationType` instead.
`static int` | `OP_UPDATE` Deprecated. use the `QueryOperationType` instead.

Method Summary
`OpenJPAQuery<X>` | `addAggregateListener(AggregateListener listener)` Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`OpenJPAQuery<X>` | `addFilterListener(FilterListener listener)` Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`OpenJPAQuery<X>` | `closeAll()` Close all open query results.
`OpenJPAQuery<X>` | `compile()` Compile the query.
`Collection` | `getCandidateCollection()` Return the candidate collection, or `null` if an extent was specified instead of a collection.
`String[]` | `getDataStoreActions(Map params)` Returns a description of the commands that will be sent to the datastore in order to execute this query.
`OpenJPAEntityManager` | `getEntityManager()` The owning entity manager.
`FetchPlan` | `getFetchPlan()` Fetch plan for controlling the loading of results.
`int` | `getFirstResult()` Return the 0-based start index for the returned results.
`FlushModeType` | `getFlushMode()` Return the current flush mode.
`boolean` | `getIgnoreChanges()` Whether to ignore changes in the current transaction.
`String` | `getLanguage()` Query language.
`int` | `getMaxResults()` Return the maximum number of results to retrieve.
`Map<String,Object>` | `getNamedParameters()` The named parameters for the query; empty map if none or if query uses positional parameters.
`QueryOperationType` | `getOperation()` Query operation type.
`Object[]` | `getPositionalParameters()` The positional parameters for the query; empty array if none or if query uses named parameters.
`String` | `getQueryString()` Query string.
`boolean` | `getRelaxBindParameterTypeChecking()` Gets whether the type of user-supplied bind parameter value and the type of target persistent property they bind to are checked with strong or weak constraint.
`Class` | `getResultClass()` Query result element type.
`Set<String>` | `getSupportedHints()` Gets hints supported by this query.
`boolean` | `hasPositionalParameters()` Whether this query has positional parameters.
`boolean` | `hasSubclasses()` Whether subclasses are included in the query results.
`OpenJPAQuery<X>` | `removeAggregateListener(AggregateListener listener)` Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`OpenJPAQuery<X>` | `removeFilterListener(FilterListener listener)` Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`OpenJPAQuery<X>` | `setCandidateCollection(Collection coll)` Set a collection of candidates.
`OpenJPAQuery<X>` | `setFirstResult(int startPosition)`
`OpenJPAQuery<X>` | `setFlushMode(FlushModeType flushMode)`
`OpenJPAQuery<X>` | `setHint(String hintName, Object value)`
`OpenJPAQuery<X>` | `setIgnoreChanges(boolean ignore)` Whether to ignore changes in the current transaction.
`OpenJPAQuery<X>` | `setMaxResults(int maxResult)`
`OpenJPAQuery<X>` | `setParameter(int position, Calendar value, TemporalType temporalType)`
`OpenJPAQuery<X>` | `setParameter(int position, Date value, TemporalType temporalType)`
`OpenJPAQuery<X>` | `setParameter(int position, Object value)`
`OpenJPAQuery<X>` | `setParameter(String name, Calendar value, TemporalType temporalType)`
`OpenJPAQuery<X>` | `setParameter(String name, Date value, TemporalType temporalType)`
`OpenJPAQuery<X>` | `setParameter(String name, Object value)`
`OpenJPAQuery<X>` | `setParameters(Map params)` Set parameters.
`OpenJPAQuery<X>` | `setParameters(Object... params)` Set parameters.
`void` | `setRelaxBindParameterTypeChecking(Object hint)` Sets whether the type of user-supplied bind parameter value and the type of target persistent property they bind to are checked with strong or weak constraint.
`OpenJPAQuery<X>` | `setResultClass(Class type)` Query result element type.
`OpenJPAQuery<X>` | `setSubclasses(boolean subs)` Whether subclasses are included in the query results.

Methods inherited from interface javax.persistence.TypedQuery
`getResultList, getSingleResult, setLockMode, setParameter, setParameter, setParameter`

Methods inherited from interface javax.persistence.Query
`executeUpdate, getHints, getLockMode, getParameter, getParameter, getParameter, getParameter, getParameters, getParameterValue, getParameterValue, getParameterValue, isBound, unwrap`

Field Detail

### HINT_RESULT_COUNT

    static final String HINT_RESULT_COUNT

  Hint key for specifying the number of rows to optimize for.

  See Also:
    Constant Field Values

### OP_SELECT

    static final int OP_SELECT

  Deprecated. use the `QueryOperationType` instead.
  See Also:
    Constant Field Values

### OP_DELETE

    static final int OP_DELETE

  Deprecated. use the `QueryOperationType` instead.
  See Also:
    Constant Field Values

### OP_UPDATE

    static final int OP_UPDATE

  Deprecated. use the `QueryOperationType` instead.
  See Also:
    Constant Field Values

### FLUSH_TRUE

    static final int FLUSH_TRUE

  Deprecated. use the `FlushModeType` enum instead.
  See Also:
    Constant Field Values

### FLUSH_FALSE

    static final int FLUSH_FALSE

  Deprecated. use the `FlushModeType` enum instead.
  See Also:
    Constant Field Values

### FLUSH_WITH_CONNECTION

    static final int FLUSH_WITH_CONNECTION

  Deprecated. use the `FlushModeType` enum instead.
  See Also:
    Constant Field Values

Method Detail

### getEntityManager

    OpenJPAEntityManager getEntityManager()

  The owning entity manager.

### getLanguage

    String getLanguage()

  Query language.

### getOperation

    QueryOperationType getOperation()

  Query operation type.

### getFetchPlan

    FetchPlan getFetchPlan()

  Fetch plan for controlling the loading of results.

### getQueryString

    String getQueryString()

  Query string.

### getIgnoreChanges

    boolean getIgnoreChanges()

  Whether to ignore changes in the current transaction.

### setIgnoreChanges

    OpenJPAQuery<X> setIgnoreChanges(boolean ignore)

  Whether to ignore changes in the current transaction.

### getCandidateCollection

    Collection getCandidateCollection()

  Return the candidate collection, or `null` if an extent was specified instead of a collection.

### setCandidateCollection

    OpenJPAQuery<X> setCandidateCollection(Collection coll)

  Set a collection of candidates.

### getResultClass

    Class getResultClass()

  Query result element type.

### setResultClass

    OpenJPAQuery<X> setResultClass(Class type)

  Query result element type.

### hasSubclasses

    boolean hasSubclasses()

  Whether subclasses are included in the query results.

### setSubclasses

    OpenJPAQuery<X> setSubclasses(boolean subs)

  Whether subclasses are included in the query results.

### getFirstResult

    int getFirstResult()

  Return the 0-based start index for the returned results.

  Specified by:
    `getFirstResult` in interface `Query`

### getMaxResults

    int getMaxResults()

  Return the maximum number of results to retrieve. or `Integer.MAX_VALUE` for no limit.

  Specified by:
    `getMaxResults` in interface `Query`

### compile

    OpenJPAQuery<X> compile()

  Compile the query.

### hasPositionalParameters

    boolean hasPositionalParameters()

  Whether this query has positional parameters.

### getPositionalParameters

    Object[] getPositionalParameters()

  The positional parameters for the query; empty array if none or if query uses named parameters.

### getNamedParameters

    Map<String,Object> getNamedParameters()

  The named parameters for the query; empty map if none or if query uses positional parameters.

### setParameters

    OpenJPAQuery<X> setParameters(Map params)

  Set parameters.

### setParameters

    OpenJPAQuery<X> setParameters(Object... params)

  Set parameters.

### closeAll

    OpenJPAQuery<X> closeAll()

  Close all open query results.

### getDataStoreActions

    String[] getDataStoreActions(Map params)

  Returns a description of the commands that will be sent to the datastore in order to execute this query. This will typically be in the native query language of the database (e.g., SQL).

  Parameters:
    `params` - the named parameter map for the query invocation

### setMaxResults

    OpenJPAQuery<X> setMaxResults(int maxResult)

  Specified by:
    `setMaxResults` in interface `Query`
  Specified by:
    `setMaxResults` in interface `TypedQuery<X>`

### setFirstResult

    OpenJPAQuery<X> setFirstResult(int startPosition)

  Specified by:
    `setFirstResult` in interface `Query`
  Specified by:
    `setFirstResult` in interface `TypedQuery<X>`

### setHint

    OpenJPAQuery<X> setHint(String hintName,
                            Object value)

  Specified by:
    `setHint` in interface `Query`
  Specified by:
    `setHint` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(String name,
                                 Object value)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(String name,
                                 Date value,
                                 TemporalType temporalType)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(String name,
                                 Calendar value,
                                 TemporalType temporalType)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(int position,
                                 Object value)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(int position,
                                 Date value,
                                 TemporalType temporalType)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setParameter

    OpenJPAQuery<X> setParameter(int position,
                                 Calendar value,
                                 TemporalType temporalType)

  Specified by:
    `setParameter` in interface `Query`
  Specified by:
    `setParameter` in interface `TypedQuery<X>`

### setRelaxBindParameterTypeChecking

    void setRelaxBindParameterTypeChecking(Object hint)

  Sets whether the type of user-supplied bind parameter value and the type of target persistent property they bind to are checked with strong or weak constraint.
  The same can be set via `hint` without puncturing standard JPA API.

  Parameters:
    `hint` - a String or Boolean value.
  See Also:
    `Filters.canConvert(Class, Class, boolean)`, `Filters.convert(Object, Class, boolean)`

### getRelaxBindParameterTypeChecking

    boolean getRelaxBindParameterTypeChecking()

  Gets whether the type of user-supplied bind parameter value and the type of target persistent property they bind to are checked with strong or weak constraint.

  Returns:
    the booelan state. False by default, i.e. the type of a bind parameter value is checked strongly against the target property type.

### setFlushMode

    OpenJPAQuery<X> setFlushMode(FlushModeType flushMode)

  Specified by:
    `setFlushMode` in interface `Query`
  Specified by:
    `setFlushMode` in interface `TypedQuery<X>`

### getFlushMode

    FlushModeType getFlushMode()

  Return the current flush mode.

  Specified by:
    `getFlushMode` in interface `Query`

### addFilterListener

    OpenJPAQuery<X> addFilterListener(FilterListener listener)

  Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

### removeFilterListener

    OpenJPAQuery<X> removeFilterListener(FilterListener listener)

  Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

### addAggregateListener

    OpenJPAQuery<X> addAggregateListener(AggregateListener listener)

  Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

### removeAggregateListener

    OpenJPAQuery<X> removeAggregateListener(AggregateListener listener)

  Deprecated. cast to `QueryImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

### getSupportedHints

    Set<String> getSupportedHints()

  Gets hints supported by this query.

  Since:
    2.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.